Create Dashboard
Creates a new dashboard
POST
/
api
/
v2
/
dashboards
curl --request POST \
--url https://api.hyperdx.io/api/v2/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "API Monitoring Dashboard",
"tiles": [
{
"name": "API Request Volume",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "service:api",
"groupBy": []
}
]
}
],
"tags": [
"api",
"monitoring"
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "API Monitoring Dashboard",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "API Request Volume",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "service:api",
"groupBy": []
}
]
}
],
"tags": [
"api",
"monitoring"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successfully created dashboard
Show child attributes
Show child attributes
Was this page helpful?
⌘I
curl --request POST \
--url https://api.hyperdx.io/api/v2/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "API Monitoring Dashboard",
"tiles": [
{
"name": "API Request Volume",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "service:api",
"groupBy": []
}
]
}
],
"tags": [
"api",
"monitoring"
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "API Monitoring Dashboard",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "API Request Volume",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "service:api",
"groupBy": []
}
]
}
],
"tags": [
"api",
"monitoring"
]
}
}